GameScreen.textures_path = "graphics/screens/01_ward/zoom_01/"

function GameScreen:RestoreScene()  
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    self:RestoreScene()   
    
    if(GetState(CURRENT_SCREEN, "tutor_1") ~= "showed" and GetState("GLOBAL", "help") == "1") then
        SetState(CURRENT_SCREEN, "tutor_1", "showed")
        ItemSetOpacity(self.name, 0.0)
        local end_tutor = function()
            self:FadeOut(0.5)
            SoundPlay("sound/drawer.ogg")
        end
        DelayedExec(0.1, function()
            self.parent:ShowTutorial(1, end_tutor);   
        end, 113)
    else
        SoundPlay("sound/drawer.ogg")
         self:FadeOut(0.5);
    end
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
	ItemSetOpacity("back_trigger", 0.7)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_back", "graphics/screens/01_ward/zoom_01/drawer_zoom", 341, 91);
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "screwdriver_shadow", "graphics/screens/01_ward/zoom_01/screwdriver_shadow", 505, 461);
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "screwdriver", "graphics/screens/01_ward/zoom_01/screwdriver_part", 580, 545);
	--self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "screwdriver_full", "graphics/screens/01_ward/zoom_01/screwdriver_full", 401, 303);
	--self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "screwdriver_hint", "graphics/screens/01_ward/zoom_01/screwdriver_hint", 401, 303);
	----------------------------------------------------------------------------------------------------------------------------
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_close", "graphics/interface/hud/continue_zoom", 667, 892);
	
	clScreenManager:add_screen("hud") 
	clScreenManager:add_screen("inventory") 
end